Package weka.core.logging

# Class ConsoleLogger

java.lang.Object
weka.core.logging.Logger
weka.core.logging.ConsoleLogger

All Implemented Interfaces:
  `RevisionHandler`

Direct Known Subclasses:
  `FileLogger`

public class ConsoleLogger extends Logger
A simple logger that outputs the logging information in the console.

Version:
  $Revision: 4716 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

## Nested Class Summary

## Nested classes/interfaces inherited from class weka.core.logging.Logger

`Logger.Level`

## Field Summary

### Fields inherited from class weka.core.logging.Logger

`PROPERTIES_FILE`

## Constructor Summary

Constructors
Constructor
Description
`ConsoleLogger()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class weka.core.logging.Logger

`getMinLevel, getSingleton, log, log`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConsoleLogger

public ConsoleLogger()

## Method Details

### getRevision

public String getRevision()
Returns the revision string.

Returns:
  the revision